<?php
//http://fstrange.ru/coder/php/vkontakte-avtorizaciya.html
//update 10.07.2011

require('Browser.php');
define('_VkUser', 'support@microsoft.com');
define('_VkPwd','billgeits');

$a = array( //POST
        'email' => _VkUser,
        'pass' => _VkPwd,
        'act' => 'login',
        'q' => '',
        'al_frame' => '1',
        'expire' => '',
        'captcha_sid' => '',
        'captcha_key' => '',
        'from_host' => 'vkontakte.ru'
);
$su = 'http://login.vk.com/?act=login';
$suRef = 'http://vkontakte.ru/';
$s = Browser($su, $suRef, $a);




/*  кусок кода из вконтактика в котором javascript должен поставить куку и сделать редирект
 * setCookieEx('sid', '4da8e50b02efdfd04602f78190cd290d51f31b6277b10615188dce9d6a61', 1);
parent.onLoginDone('/id77777777');
</script>
 */
$sPreg = "~[a-z\d]{60}~s";
preg_match($sPreg, $s, $a0);

if(!empty($a0[0])){
    BrowserCookieSave(array('remixsid'=>$a0[0]));
}
$s = Browser('http://vkontakte.ru');



